# std::reverse_iterator<Iter>::operator[]

From cppreference.com
< cpp‎ | iterator‎ | reverse iterator

/*unspecified*/ operator[]( difference_type n ) const; |  | (until C++17)
constexpr /*unspecified*/ operator[]( difference_type n ) const; |  | (since C++17)

Returns a reference to the element at specified relative location.

### Parameters

n | - | position relative to current location.

### Return value

A reference to the element at relative location, that is, base()[-n-1].

### Examples

| This section is incomplete Reason: no example

### See also

operator*operator-> | accesses the pointed-to element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/reverse_iterator/operator_at&oldid=50888"